namespace JSMR.Application.Circles.Queries.GetCreators;

public sealed class GetCircleCreatorsHandler(ICircleCreatorsProvider provider)
{
    public Task<GetCircleCreatorsResponse> HandleAsync(GetCircleCreatorsRequest request, CancellationToken cancellationToken = default)
    {
        return provider.HandleAsync(request, cancellationToken);
    }
}